@echo off

NET SESSION >nul 2>&1
IF %ERRORLEVEL% NEQ 0 (
	echo 管理者権限で実行してください。
	pause
	exit
)

set "current_dir=%~dp0"
set "app_path=%current_dir%Assists Editor.exe"

:: TCPポートの許可
netsh advfirewall firewall add rule name="Assists Editor" dir=in action=allow protocol=TCP program="%app_path%" profile=any

:: UDPポートの許可
netsh advfirewall firewall add rule name="Assists Editor" dir=in action=allow protocol=UDP program="%app_path%" profile=any

echo ファイアウォールの設定が完了しました。
pause
